Bug 241499 - weekly cron segfault after firstboot of f7-rc2
weekly cron segfault after firstboot of f7-rc2
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anacron (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-26 16:28 EDT by Darwin H. Webb
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 07:53:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug version of makewhatis command (13.82 KB, text/plain)
2007-05-29 05:29 EDT, Ivana Varekova
no flags Details
output of makewhatis (14.02 KB, text/plain)
2007-05-30 21:14 EDT, Darwin H. Webb
no flags Details

  None (edit)
Description Darwin H. Webb 2007-05-26 16:28:28 EDT
Description of problem:
normal sendmail activity for root (passed to user alias)

sh: line 1:  8158 Segmentation fault      zcat
"/usr/share/man/man3/mkfifoat.3.gz" 2> /dev/null

Version-Release number of selected component (if applicable):
anacron-2.3-47.fc7

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ivana Varekova 2007-05-28 06:37:30 EDT
Please could you put here the list of services which you have on your cron
weekly list. And could you copy/attach here the whole mail generated by cron.
Thanks.
Comment 2 Darwin H. Webb 2007-05-28 18:43:15 EDT
That is the whole mail except for the to and from

From: 	Anacron <root@localhost.localdomain>
To: 	root@localhost.localdomain
Subject: 	Anacron job for 'Ruthie-07' cron.weekly
Date: 	Fri, 25 May 2007 11:10:33 -0700


sh: line 1:  8158 Segmentation fault      zcat
"/usr/share/man/man3/mkfifoat.3.gz" 2> /dev/null



###

The services are the default of F7-rc2 i386
Comment 3 Ivana Varekova 2007-05-29 05:29:48 EDT
Created attachment 155579 [details]
debug version of makewhatis command

This seems for me to be makewhatis problem.
Could you please change /usr/sbin/makewhatis file with the attached file (it
has more verbose output), and attach the next anacron email here.
Comment 4 Darwin H. Webb 2007-05-29 13:01:40 EDT
ok, file in place.
Comment 5 Darwin H. Webb 2007-05-30 21:14:10 EDT
Created attachment 155761 [details]
output of makewhatis 

Attached dailt cron e-mail that used the /usr/sbin/mkwhatis file you supplied.

Do you still need the weekly (it will run on Friday.)

Darwin
Comment 6 Ivana Varekova 2007-05-31 04:37:11 EDT
This output is too simple "makewhatis -u" have not found any new man-page so
there  is no segfault. 
The weekly makewhatis output does not use -u option se there should happen the
segfault. So weekly output is necessary.
Thanks for your help.
Comment 7 Darwin H. Webb 2007-06-04 14:26:37 EDT
Something happened to the mail or logwatch?

All I am getting now is

Unable to retrieve message
Summary and folder mismatch, even after a sync.

I didn't touch it. :)

Darwin
Comment 8 Darwin H. Webb 2007-06-04 16:10:42 EDT
OK after installing the f8-3200 kernel to stabilize the system,
the evolution e-mail for the daily-cron using the file you sent to me
generated 1,363,175 LINES.

It crashed evolution, gedit, and the kernel

After the new f8-3200 kernel rebooted 
I used the display as unformated text in the 
"Evolution cannot render this email as it is too large to handle. You can view
it unformatted or with an external text editor." message and it took about 7
minutes to finish displaying then another 7 to copy into gedit.

It is just shy of 50MB. 
So what now because I have several more dailys and weekly may be bigger?

Darwin
Comment 9 Darwin H. Webb 2007-06-04 16:23:26 EDT
This is from the logwatch about the cron

--------------------- sendmail-largeboxes (large mail spool files) Begin
------------------------ 

 Large Mailbox threshold: 40MB (41943040 bytes)
  Warning: Large mailbox: darwinhwebb (100856267)
 
 ---------------------- sendmail-largeboxes (large mail spool files) End

We need different approach to fix the original bug..

Darwin
Comment 10 Ivana Varekova 2007-06-06 03:26:43 EDT
Hello, 
could you please attach here the part of cron mail which consists of the message
"Segmentation fault      zcat"?
If it is not possible (you remove these mail), then if you can redirect the
output of makewhatis command to some auxiliary temporary file
(/tmp/your_favourite_name). Then there will be no limit for the size of this
file and you can grep it and attach here the part of this file containing error
message  "Segmentation fault      zcat"
You can redirect the makewhatis command output if you change
/etc/cron.weekly/makewhatis.cron script.
You have to change command
 makewhatis -w
to
 makewhatis -w 2> /tmp/your_favourite_name
Comment 11 Darwin H. Webb 2007-06-06 13:56:59 EDT
ok, I chaged the daily and the weekly to sppol to /tmp/somefilename.txt

The weekly has never run again yet.
They have all been daily so far.

Does this take into account SELinux?

Darwin
Comment 12 Ivana Varekova 2007-09-06 03:34:24 EDT
Is there any change? What is the status of this bug - do you have any output
from cron weekly log?
Thanks

Note You need to log in before you can comment on or make changes to this bug.